require 'logger'
require_relative './logger/messages'

# Output info messages during gimme poc crawl.
module Gimme
  class << self
    include LogMessages
    attr_accessor :logger
  end
end

Gimme.logger = Logger.new(STDOUT)
Gimme.logger.level = Logger::INFO
Gimme.logger.formatter = proc do |_severity, _datetime, _progname, msg|
  "#{Time.now.strftime('%Y-%m-%d %H:%M:%S')}: #{msg}\n"
end
