
module LogMessages
  class << self
    def loginfo(str)
      Gimme.logger.info(str)
    end

    def logwarn(str)
      Gimme.logger.info(str)
    end

    # Info
    # -----------------------------------------------------------------
    def start_url(url)
      puts '-' * 50
      loginfo "starting: #{url}"
    end

    def sending_get_request(url)
      loginfo("sending GET request to: #{url}")
    end

    def blind_testing(url)
      loginfo("blind testing: #{url}")
    end

    def invalid_domain(url)
      loginfo("#{'Invalid Domain:'.red} `#{url}' is not a valid domain")
    end

    def subdomain
      loginfo '(This url is a subdomain.  Will try both sub and root domain.)'
    end

    def empty_page
      loginfo '(empty page, exiting.)'
    end

    def looking_for_contact_page
      loginfo('now looking for contact pages')
    end

    def found_contact_link
      loginfo("#{'Success:'.green} Found contact link!")
    end

    def looking_for_english_page
      loginfo('Looking for english page...')
    end

    def found_english_link
      loginfo("#{'Success:'.green} found english link!")
    end

    def saving_contact_info(url)
      loginfo("saving available contact information from #{url}")
    end

    # Warnings
    # -----------------------------------------------------------------
    def no_contact_link
      logwarn("#{'Warning:'.yellow} couldn't find contact link")
    end

    def restarting
      logwarn('restarting'.yellow)
    end

    def nothing_to_save
      logwarn '(nothing to save)'
    end
    
    def warn_err(error)
      logwarn("#{'Error:'.red} #{error}")
    end
  end
end
