# Reflective questions for situational awareness.
module Questions
  # Simple regex that looks for ###.#### or ###-####
  PHONE_REGEX = /(\d{3}[-]\d{4}|\d{3}[.]\d{4})/  
  
  # Boolean, returns true if email is present.
  def email_available?
    !link_with_href('mailto').nil?
  end

  # Boolean, returns true if phone number is present.
  def phone_available?
    !(@page.body =~ PHONE_REGEX).nil?
  end

  ##
  # TODO: build better conditional to prevent false positives.
  #   There could be other forms like newsletter signup, etc.
  #
  # If there is a form with more than one field, this returns true.
  # Forms with one field are typically search boxes.
  #
  # Boolean, returns true if form is present on page.
  def contactform_available?
    !(@page.forms.select { |x| x.fields.length > 1 }.empty?)
  end
end
